Package org.apache.sling.servlets.resolver.internal.helper

# Class SearchPathProvider

java.lang.Object
org.apache.sling.servlets.resolver.internal.helper.SearchPathProvider

public class SearchPathProvider extends Object

## Constructor Summary

Constructors
Constructor
Description
`SearchPathProvider(org.osgi.framework.BundleContext bundleContext)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`bindResourceResolverFactory(org.apache.sling.api.resource.ResourceResolverFactory factory)`
`void`
`deactivate()`
`List<String>`
`getSearchPaths()`
`protected void`
`unbindResourceResolverFactory(org.apache.sling.api.resource.ResourceResolverFactory factory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SearchPathProvider

public SearchPathProvider(org.osgi.framework.BundleContext bundleContext)

## Method Details

### deactivate

public void deactivate()

### bindResourceResolverFactory

protected void bindResourceResolverFactory(org.apache.sling.api.resource.ResourceResolverFactory factory)

### unbindResourceResolverFactory

protected void unbindResourceResolverFactory(org.apache.sling.api.resource.ResourceResolverFactory factory)

### getSearchPaths

public List<String> getSearchPaths()